Subject: Re: 3.0-style propgadgets?
From: [email-masked] (Steve Dunham)
Date: 11 Apr 1994 00:51:06 GMT
Newsgroups: comp.sys.amiga.programmer

H�kon Enger ([email-masked]) wrote:

: Hello, everybody!

:   Does anybody know how to create propgadgets that look like the
: ones on Workbench windows in 3.0+? These are NOT the same as the ones
: I get with the NEWLOOK flag set, nor have I succeded in getting these
: with BOOPSI. Is it a new BOOPSI class?

I missed this too the first time that I read the RKM.  You have to set
BORDERLESS to get the 3D effect. eg.

  g=NewObject(NULL, "propgclass",
	      GA_RelRight, - 17,
	      GA_Width, 18,
	      GA_Top, screen->WBorTop+screen->Font->ta_YSize + 1,
	      GA_RelHeight, - (9 + 1 + screen->WBorTop + screen->Font->ta_YSize),
	      GA_RightBorder, 1,
	      GA_Previous,0l,
//	      ICA_TARGET, ICTARGET_IDCMP,
	      PGA_Freedom, FREEVERT,
	      PGA_Total, 10,
	      PGA_Top, 1,
	      PGA_Visible, 1,
	      PGA_NewLook,1,
	      PGA_Borderless,1,           /* This tag does the job */
	      TAG_DONE);

This should work (note that you have to LockPubScreen(NULL) to get the
pointer `screen').  This is from test code for my scroller class, so
the size might not be right.

Steve Dunham
[email-masked]